curl --request GET \
--url https://api.ararahq.com/v1/campaigns/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ararahq.com/v1/campaigns/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ararahq.com/v1/campaigns/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ararahq.com/v1/campaigns/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "7b3789fb-4c5d-6789-abcd-ef0123456789",
"name": "Black Friday 2026",
"status": "COMPLETED_WITH_ERRORS",
"templateName": "bf_oferta_geral",
"templateBody": "Oi {{1}}, oferta de {{2}}% só hoje!",
"totalMessages": 50000,
"sentCount": 48500,
"deliveredCount": 47200,
"readCount": 38900,
"failedCount": 900,
"clickedCount": 4120,
"convertedCount": 312,
"convertedValue": 87650,
"replyCount": 1840,
"holdoutCount": 0,
"blockedCount": 600,
"blockReasons": [
{
"motivo": "Contato pediu para não receber",
"quantidade": 600
}
],
"refundCount": 1500,
"refundValue": 575.25,
"totalCost": 19175,
"scheduledAt": null,
"startedAt": "2026-11-27T18:00:12Z",
"finishedAt": "2026-11-27T18:23:14Z",
"createdAt": "2026-11-27T18:00:00Z"
}Consultar campanha
Campanha com as métricas agregadas. clickedCount e convertedCount
dependem de Smart Links. Para acompanhar mensagem a mensagem, use o webhook
message.status_updated; o fim da campanha gera o evento campaign.completed.
Permissão: READ.
curl --request GET \
--url https://api.ararahq.com/v1/campaigns/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ararahq.com/v1/campaigns/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ararahq.com/v1/campaigns/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ararahq.com/v1/campaigns/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "7b3789fb-4c5d-6789-abcd-ef0123456789",
"name": "Black Friday 2026",
"status": "COMPLETED_WITH_ERRORS",
"templateName": "bf_oferta_geral",
"templateBody": "Oi {{1}}, oferta de {{2}}% só hoje!",
"totalMessages": 50000,
"sentCount": 48500,
"deliveredCount": 47200,
"readCount": 38900,
"failedCount": 900,
"clickedCount": 4120,
"convertedCount": 312,
"convertedValue": 87650,
"replyCount": 1840,
"holdoutCount": 0,
"blockedCount": 600,
"blockReasons": [
{
"motivo": "Contato pediu para não receber",
"quantidade": 600
}
],
"refundCount": 1500,
"refundValue": 575.25,
"totalCost": 19175,
"scheduledAt": null,
"startedAt": "2026-11-27T18:00:12Z",
"finishedAt": "2026-11-27T18:23:14Z",
"createdAt": "2026-11-27T18:00:00Z"
}Authorizations
Chave de API da Arara (ara_live_...), enviada no header Authorization: Bearer ara_live_.... Crie e gerencie as chaves no painel: https://app.ararahq.com/dashboard/apikeys. O valor completo aparece uma única vez, na criação.
Path Parameters
ID da campanha.
Response
Detalhe
Cliques em smart links da campanha.
Conversões atribuídas por smart links.
Conversas originadas pela campanha.
Contatos aguardando a vencedora do A/B.
Contatos bloqueados no envio (opt-out, número inválido, limite de frequência).
Show child attributes
Show child attributes
Total estornado para a carteira, em reais.